%define major   4.0.3
%define minor   2202
%define vmver   %{major}.%{minor}
%define source  Squeak-%{vmver}

Name:		squeak-vm
Version:	%{major}.%{minor}
Release:	%mkrel 1
Summary:	The Squeak virtual machine
Group:		Development/Other
License:	MIT
URL:		http://squeakvm.org/unix
Source0:	http://ftp.squeak.org/%{major}/unix-linux/%{source}-src.tar.xz
Source2:	squeak-desktop-files.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	libaudiofile0-devel
BuildRequires:	X11-devel
BuildRequires:	x11-proto-devel
BuildRequires:	libx11-devel
BuildRequires:	gcc
BuildRequires:	desktop-file-utils
BuildRequires:	libalsa-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	libspeex1-devel
BuildRequires:	dbus-devel
BuildRequires:	pango-devel
BuildRequires:	libgstreamer0.10_0.10-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxext-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	dbus-devel
Requires:	zenity

%description
programming language

%prep
%setup -q -n %{source}-src -a 2

# The source files chmod'd here have the execute bit set in the upstream tarball
# which bothers rpmlint, need submit a request upstream to have this changed
# Not sure if this is still necessary
find . -name '*.[ch]' -exec chmod ug=rw,o=r {} \;

%build

CPPFLAGS=-DSUGAR unix/cmake/configure --prefix=%{_prefix} --mandir=%{_mandir} --datadir=%{_datadir} --libdir=%{_libdir}

make %{?_smp_mflags}

%install

make install DESTDIR=%{buildroot}

# these files will be put in std RPM doc location
rm -rf %{buildroot}%{_prefix}/doc/squeak

# install the desktop stuff
install -D --mode=u=rwx,go=rx mysqueak %{buildroot}%{_bindir}/mysqueak
install -D --mode=u=rw,go=r mysqueak.1 %{buildroot}%{_mandir}/man1/mysqueak.1
install -D --mode=u=rw,go=r squeak.xml %{buildroot}%{_datadir}/mime/packages/squeak.xml
install -D --mode=u=rw,go=r squeak.desktop %{buildroot}%{_datadir}/applications/squeak.desktop
install -D --mode=u=rw,go=r squeak.png %{buildroot}%{_datadir}/pixmaps/squeak.png

%define icons_dir %{buildroot}%{_datadir}/icons/gnome
for size in 16 24 32 48 64 72 96
do
  mkdir -p %{icons_dir}/${size}x${size}/mimetypes
  install -m0644 squeak${size}.png %{icons_dir}/${size}x${size}/mimetypes/application-x-squeak-image.png
  install -m0644 squeaksource${size}.png %{icons_dir}/${size}x${size}/mimetypes/application-x-squeak-source.png
done

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_desktop_database
%update_mime_database
%update_icon_cache gnome

%postun
%clean_menus
%clean_desktop_database
%clean_mime_database
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%doc unix/ChangeLog unix/doc/{README*,LICENSE,*RELEASE_NOTES}
%{_bindir}/*

%dir %{_libdir}/squeak
%dir %{_libdir}/squeak/%{major}-%{minor}

%{_mandir}/man*/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/gnome/*/mimetypes/*.png

%{_libdir}/squeak/%{major}-%{minor}/*

%changelog
* Tue Aug 10 2010 gseaman <gseaman at comcast.net> 4.0.3-2202-1pclos2010.i586
- Adapted and updated for PCLinuxOS based on specfile from mdv
- Dependency for Etoys


